'use strict';

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _theme = require('../theme');

describe('makeTheme', function () {
  it('should use default values', function () {
    var defaultTheme = {
      navigationStyleguide: {
        '$nav-styleguide-height': '100%',
        '$nav-styleguide-color': '#fff',
        '$nav-styleguide-hover-color': '#898989',
        '$nav-styleguide-bg-color': '#ce4953',
        '$nav-styleguide-border': '#e8e8e8 solid',
        '$nav-styleguide-top': 0,
        '$nav-styleguide-left': 0,
        '$nav-styleguide-bottom': 0,
        '$nav-styleguide-overflow': 'auto',
        '$nav-styleguide-list-style-type': 'none',
        '$nav-styleguide-padding-bottom': {
          sm: 4
        },
        '$nav-styleguide-position': {
          sm: 'static',
          md: 'fixed'
        },
        '$nav-styleguide-width': {
          sm: '100%',
          md: '150px'
        },
        '$nav-styleguide-border-width': {
          sm: '1px 0px 0px 0px',
          md: '0px 1px 0px 0px'
        },
        '$nav-styleguide-text-align': {
          sm: 'center',
          md: 'left'
        }
      }
    };
    expect((0, _theme.makeTheme)(defaultTheme)).toEqual(defaultTheme);
  });
  it('should create scope', function () {
    var customTheme = {
      '$nav-styleguide-height': '100%'
    };
    expect(_typeof((0, _theme.makeTheme)(customTheme).navigationStyleguide)).toEqual('object');
  });
});